<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/paginator.php");
include("../inc/pageutil.php");
include("../inc/calendar.php");
require("../inc/imgedit.php");

$nShowPerPg = 999;

// Get passed-in vars
$nPage = $_GET["pg"]; if(!$nPage){ $nPage = $_POST["pg"]; }
$nSort = $_GET["srt"];
$nSortOrder = $_GET["ord"];
$nShowPerPgOverride = $_GET["spp"];
if($nShowPerPgOverride){ $nShowPerPg = $nShowPerPgOverride; }

$nType = $_GET["t"];

// Setup SQL query for displayed listing
if(!$nSort){ $nSort="nPath"; }  // default sort
if(!$nSortOrder){ $nSortOrder="ASC"; }  // default sort order
switch($nType){
	case "PDF": $nWhereARRAY[] = "nType='pdf'"; break;
	case "Word": $nWhereARRAY[] = "nType='doc' OR nType='docx'"; break;
	case "Excel": $nWhereARRAY[] = "nType='xls' OR nType='xlsx'"; break;
	case "Other": $nWhereARRAY[] = "nType!='pdf' AND nType!='doc' AND nType!='docx' AND nType!='xls' AND nType!='xlsx'"; break;
}

if($nWhereARRAY){ $nWhereSQL = "WHERE ".implode(" AND ",$nWhereARRAY); }
$nOrderBySQL = "ORDER BY $nSort $nSortOrder";
$nListingSQL = "SELECT * From nFile $nWhereSQL $nOrderBySQL";

if($nType){ $nPassThruReq = "?nType='$nType'"; }
$nDivToUpdate = "ajaxFiles";
$nPageInDiv = "list/files.php";
$nCurrQueryStr = $_SERVER['QUERY_STRING'];
if($nCurrQueryStr){ $nFullPageInDiv = $nPageInDiv."?".$nCurrQueryStr; } else { $nFullPageInDiv = $nPageInDiv; }
$nPagingText = nGetPaging($nListingSQL,$nPage,$nShowPerPg,$nPassThru,$nDivToUpdate,$nPageInDiv);
if($nPassThru){ $nPassThruQry="?".$nPassThru; $nPassThru="&".$nPassThru; }
// for extrenal refresh requests
print "<script>refreshFiles = function(){ loadContent('".$nDivToUpdate."','".$nFullPageInDiv."'); }</script>";
?>

<!--[if !IE]>start section inner<![endif]-->
<div class="section_inner">
	<!--[if !IE]>start table_wrapper<![endif]-->
	<div class="table_wrapper">
		<div class="table_wrapper_inner">
		<table cellpadding="0" cellspacing="0" width="100%">
			<tbody><tr>
				<?$nSortFld="nType"; if($nSortFld==$nSort){ if($nSortOrder=="ASC"){ $nLink="?srt=$nSortFld&ord=DESC$nPassThru";$nSortClass=" class=\"asc\""; } else { $nLink="?srt=$nSortFld&ord=ASC$nPassThru";$nSortClass=" class=\"desc\""; } } else { $nLink="?srt=$nSortFld&ord=ASC$nPassThru";$nSortClass=""; }?>
				<th style="width:25px;"><a href="javascript:loadContent('<?=$nDivToUpdate?>','<?=$nPageInDiv.$nLink?>');"<?=$nSortClass;?>>Type</a></th>
				<?$nSortFld="nPath"; if($nSortFld==$nSort){ if($nSortOrder=="ASC"){ $nLink="?srt=$nSortFld&ord=DESC$nPassThru";$nSortClass=" class=\"asc\""; } else { $nLink="?srt=$nSortFld&ord=ASC$nPassThru";$nSortClass=" class=\"desc\""; } } else { $nLink="?srt=$nSortFld&ord=ASC$nPassThru";$nSortClass=""; }?>
				<th><a href="javascript:loadContent('<?=$nDivToUpdate?>','<?=$nPageInDiv.$nLink?>');"<?=$nSortClass;?>>File Name</a></th>
				<th width="80" style="text-align:center;">Filesize</th>
				<th style="width:96px;">Actions</th>
			</tr>
			<?=nGetDocList();?>
		</tbody></table>
		</div>
	</div>
	<!--[if !IE]>end table_wrapper<![endif]-->
</div>
<!--[if !IE]>end section inner<![endif]-->
		
<!--[if !IE]>start pagination<![endif]-->
<div class="pagination" style="float:none;clear:both;">
	<span class="page_no">Page 1 of 1</span>
</div>
<!--[if !IE]>end pagination<![endif]-->


<?php
function nGetDocList(){
	global $DBName,$Link,$nListingSQL;
	global $nShowPerPg,$nTotalRec,$nStartRec,$nEndRec,$nTotalPg;
	if(!$nListingSQL){ return ""; }
	$nCurrRec = 0;
	$Result = mysql_db_query ($DBName,$nListingSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nCurrRec++;
		if($nCurrRec>=$nStartRec && $nCurrRec<=$nEndRec && $nCurrRec<=$nTotalRec){
			$nID = $Row["nID"];
			$nPath = $Row["nPath"];
			$nType = $Row["nType"];
			switch($nType){
				case "pdf":
					$nIcon = "img/pdf.png"; break;
				case "doc":
				case "docx":
					$nIcon = "img/doc.png"; break;
				case "xls":
				case "xlsx":
					$nIcon = "img/xls.png"; break;
				case "txt":
					$nIcon = "img/txt.png"; break;
				case "pub":
					$nIcon = "img/pub.png"; break;
				case "jpg":
				case "jpeg":
				case "gif":
				case "bmp":
				case "png":
					$nIcon = "img/img.png"; break;
				case "html":
				case "htm":
				case "php":
				case "asp":
				case "xml":
					$nIcon = "img/web.png"; break;
				default:
					$nIcon = "img/other.png"; break;
			}
			$nFilename = nGetImageNameFromPath($nPath);
			if($nIcon){ $nIconImg = "<img src=\"$nIcon\" alt=\"$nType\" width=\"32\" width=\"32\" border=\"0\">"; }
			if(file_exists("../../$nPath")){
				$nFilesize = filesize("../../$nPath");
				if($nFilesize){
					$nFilesize = $nFilesize/1024;
					$nFilesizeByteText = "Kb";
					$nFilesizeText = number_format($nFilesize,0,'.','');
					if($nFilesize>=1000){
						$nFilesize = $nFilesize/1000;
						$nFilesizeByteText = "MB";
						$nFilesizeText = number_format($nFilesize,1,'.','');
					}
				}
			}
			if($nRowClass=="second"){ $nRowClass="first"; } else { $nRowClass="second"; }
			$nTable.= <<<CODE
			<tr id="row$nCurrRec" class="$nRowClass" onMouseOver="$('#row$nCurrRec').addClass('rowhilite');" onMouseOut="$('#row$nCurrRec').removeClass('rowhilite');">
				<td>$nIconImg</td>
				<td><a href="../$nPath" target="_blank"><strong style="font-size:smaller;">$nFilename</strong></a></td>
				<td align="center" style="text-align: center;">$nFilesizeText $nFilesizeByteText</td>
				<td>
					<div class="actions_menu" style="margin:6px 0;">
						<ul>
							<li><a href="dialog/file_delete.php?id=$nID" title="Delete Document" class="modal edit">Delete</a></li>
						</ul>
					</div>
				</td>
			</tr>
CODE;
		}
	}
	if(!$nTable){ $nTable = "<table width=\"100%\"><tr id=\"$nRowClass\"><td height=\"200\" align=\"center\" class=\"caption\" colspan=\"5\"><em>No data available to display.</em></td></tr></table>"; }
	return $nTable;
}

function nGetImageNameFromPath($nPath){
	if(!$nPath){ return; }
	$nPathARRAY = explode("/",$nPath);
	$nImgName = $nPathARRAY[(count($nPathARRAY)-1)];
	return $nImgName;
}

function nGetPages($nSectionID){
	global $DBName,$Link,$nAdminAccess,$nPageIDAccessARRAY,$_SERVER;
	if($nSectionID===""){ return ""; }
	$nBrowserType = $_SERVER["HTTP_USER_AGENT"];
	$nIsIE = strpos($nBrowserType," MSIE ");
	$nCurrRec = 0;
	$nSQL = "SELECT * FROM nPage WHERE nSectionID=$nSectionID ORDER BY nOrderID";
	$Result = mysql_db_query ($DBName,$nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nCurrRec++;
		$nID = $Row["nID"];
		$nNavTitle = $Row["nNavTitle"];
		$nTitle = $Row["nTitle"];
		$nBGColor = $Row["nBGColor"];
		$nBaseColor = $Row["nBaseColor"];
		$nBGImgID = $Row["nBGImgID"];
		$nType = $Row["nType"];
		switch($nType){
			case "Homepage": $nAddIcon = "<div id=\"edit\"><img src=\"img/icon_home.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Search": $nAddIcon = "<div id=\"edit\"><img src=\"img/icon_search.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Link": $nAddIcon = "<div id=\"edit\"><img src=\"img/icon_link.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			default: $nAddIcon = ""; break;
		}
		if($nType!="Homepage" && $nAdminAccess){
			$nAddIcon.="<div id=\"delete\" style=\"display:none;\"><a href=\"dialog/page_delete.php?id=$nID\" title=\"Delete Page\" class=\"modal\"><img src=\"img/icon_delete.png\" alt=\"\" width=\"23\" height=\"23\" border=\"0\" id=\"img_$nID\"></a></div>";
			if($nIsIE!==false){	// if browser is IE...
				$nHoverCODE = "onMouseEnter=\"$('icon_$nID').down('#delete').show();return false;\" onMouseLeave=\"$('icon_$nID').down('#delete').hide();return false;\"";
			} else {
				$nHoverCODE = "onMouseOver=\"$('icon_$nID').down('#delete').show();return false;\" onMouseOut=\"$('icon_$nID').down('#delete').hide();return false;\"";
			}
		} else {
			$nHoverCODE = "";
		}
		// Generate ICON
		// NOTE: if naming conventions change here, it's a good idea to delete all files in 'nIcnFilePath' to save space
		$nIcnBGClr = $nBGColor;
		$nIcnTxt = $nNavTitle;
		$nIcnFileName = nSanitizeFilename("icn_".$nIcnBGClr."_".$nIcnTxt.".png");
		$nIcnFilePath = "../../usr/system/icons/$nIcnFileName";
		$nIcnFinalPath = "../usr/system/icons/$nIcnFileName";
		if(!file_exists($nIcnFilePath)){
			nImg_MakeIcon($nIcnFilePath,$nIcnBGClr,$nIcnTxt);
		}
		if($nIcnFilePath){
			$nImgTagARRAY = getimagesize($nIcnFilePath); $nImgTagWH = $nImgTagARRAY[3];
			$nIcnTag = "<img src=\"$nIcnFinalPath\" alt=\"\" $nImgTagWH border=\"0\">";
		}
		// END Generate Icon
		if(!$nAdminAccess && in_array($nID,$nPageIDAccessARRAY)){ $nHasPageAccess = 1; } else { $nHasPageAccess = 0; }
		if($nAdminAccess){ $nHasPageAccess = 1; }
		if($nHasPageAccess){
			$nTable.= <<<CODE
				<div id="icon_$nID" class="icon" $nHoverCODE><a href="page_edit.php?id=$nID">$nIcnTag</a><div id="editStamps" style="width:30px;">$nAddIcon</div></div>
CODE;
		}
	}
	return $nTable;
}

function nGetSectionName($nRecID){
	global $DBName,$Link;
	$nSQL = "SELECT nName,nParentID FROM nSection WHERE nID='$nRecID' LIMIT 1";
	$Result = mysql_db_query ($DBName,$nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nName = $Row["nName"];
		$nParentID = $Row["nParentID"];
	}
	if($nParentID){ $nParentName = nGetSectionName($nParentID)." &gt; "; } else { $nParentName = ""; }
	return "$nParentName$nName";
}

function nSectionExists($nSectionID){
	global $DBName,$Link;
	if(!$nSectionID){ return 0; }
	$nSQL = "SELECT nID FROM nSection WHERE nID=$nSectionID";
	$Result = mysql_db_query ($DBName,$nSQL,$Link);
	$nCount = mysql_num_rows($Result);
	return $nCount;
}
function nGetPageIDAccessARRAY($ValidUser){
	global $DBName,$Link;
	if(!$ValidUser){ return; }
	// Get user ID
	$nSQL = "SELECT nID FROM nEditor WHERE nUser='$ValidUser' LIMIT 1";
	$Result = mysql_db_query ($DBName,$nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nEditorID = $Row["nID"];
	}
	$nDataARRAY = array();
	$nSQL = "SELECT nPageID FROM xEditorPage WHERE nEditorID=$nEditorID";
	$Result = mysql_db_query ($DBName,$nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nDataARRAY[] = $nPageID;
	}
	return $nDataARRAY;
}
?>
<? require("../../inc/db_close.php"); ?>
